Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp
Class Res

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--oracle.ide.util.ArrayResourceBundle
                  |
                  +--oracle.jbo.html.jsp.Res

public class Res
extends oracle.ide.util.ArrayResourceBundle

Field Summary
`static int` | `MSG_APP_PATH_MISSING` Identifies keys to access localizable object
`static int` | `MSG_DAD_MISSING`
`static int` | `MSG_HOSTNAME_MISSING`
`static int` | `MSG_UNKNOWN_CONNECT_TYPE`

Fields inherited from class oracle.ide.util.ArrayResourceBundle
`contents`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`Res()`

Method Summary
`static java.lang.String` | `format(int index, java.lang.Object param1)`
`static java.lang.String` | `format(int index, java.lang.Object param1, java.lang.Object param2)`
`static java.lang.String` | `format(int index, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)`
`static javax.swing.KeyStroke` | `getAccelerator(int key)`
`static char` | `getChar(int key)` Gets the character associated with the specified resource id.
`protected java.lang.Object[]` | `getContents()` Gets the localizable objects
`static javax.swing.Icon` | `getIcon(int key)`
`static java.lang.Integer` | `getInteger(int key)`
`static char` | `getMnemonic(int key)`
`static java.lang.Object` | `getObj(int key)` Gets the object associated with the specified resource id.
`static java.lang.String` | `getStr(int key)` Deprecated. - replace with getString
`static java.lang.String` | `getString(int key)` Gets the string associated with the specified resource id.

Methods inherited from class oracle.ide.util.ArrayResourceBundle
`getKeys, getObject, getStringArray, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MSG_APP_PATH_MISSING

    public static final int MSG_APP_PATH_MISSING

  Identifies keys to access localizable object

### MSG_HOSTNAME_MISSING

    public static final int MSG_HOSTNAME_MISSING

### MSG_UNKNOWN_CONNECT_TYPE

    public static final int MSG_UNKNOWN_CONNECT_TYPE

### MSG_DAD_MISSING

    public static final int MSG_DAD_MISSING

Constructor Detail

### Res

    public Res()

Method Detail

### getObj

    public static java.lang.Object getObj(int key)

  Gets the object associated with the specified resource id. By convention all LRB's should implement a getObj static method similar to the one below.

### getStr

    public static java.lang.String getStr(int key)

  Deprecated. - replace with getString

  Gets the string associated with the specified resource id. By convention all LRB's should implement a getStr static method similar to the one below.
  See Also:
    `getString(int)`

### getString

    public static java.lang.String getString(int key)

  Gets the string associated with the specified resource id. By convention all LRB's should implement a getStr static method similar to the one below. (Same as getStr)

### getChar

    public static char getChar(int key)

  Gets the character associated with the specified resource id. By convention all LRB's should implement a getChar static method similar to the one below.

### getInteger

    public static java.lang.Integer getInteger(int key)

### getMnemonic

    public static char getMnemonic(int key)

### getAccelerator

    public static javax.swing.KeyStroke getAccelerator(int key)

### getIcon

    public static javax.swing.Icon getIcon(int key)

### format

    public static java.lang.String format(int index,
                                          java.lang.Object param1)

### format

    public static java.lang.String format(int index,
                                          java.lang.Object param1,
                                          java.lang.Object param2)

### format

    public static java.lang.String format(int index,
                                          java.lang.Object param1,
                                          java.lang.Object param2,
                                          java.lang.Object param3)

### getContents

    protected java.lang.Object[] getContents()

  Gets the localizable objects
  Overrides:
    getContents in class oracle.ide.util.ArrayResourceBundle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD